KDE 4.6 PyKDE API Reference

- KDE's Python API

# PositionTracking Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals

| gpsLocation (Marble.GeoDataCoordinates a0, float a1)

## Methods

Marble.GeoDataAccuracy | accuracy (self)
| clearTrack (self)
Marble.GeoDataCoordinates | currentLocation (self)
float | direction (self)
QString | error (self)
| setTrackVisible (self, bool visible)
float | speed (self)
bool | trackVisible (self)

## Signal Documentation

gpsLocation | ( | Marble.GeoDataCoordinates | a0,
|  | float | a1
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("gpsLocation(Marble::GeoDataCoordinates, qreal)"), target_slot)`

## Method Documentation

Marble.GeoDataAccuracy accuracy | ( |  | self ) |

Returns the estimated accuracy of the current position

clearTrack | ( |  | self ) |

Removes all track segments which were recorded

Marble.GeoDataCoordinates currentLocation | ( |  | self ) |

Returns the current position, if any

float direction | ( |  | self ) |

provides direction of the gps device in degrees with geographical north

QString error | ( |  | self ) |

gives the error message from the current position provider

setTrackVisible | ( | self, |
|  | bool | visible
| ) |  |  |

Toggles the visibility of the Position Tracking document

float speed | ( |  | self ) |

provides speed of the gps device

bool trackVisible | ( |  | self ) |

provides the visibility of the Position Tracking document